part of "router.dart";

class AppPages {
  AppPages._();

  static String get initialPath => "/";

  static final routes = [
    GetPage(
      preventDuplicates: true,
      name: Routes.root.mainPath,
      page: () => const RootPage(),
      transition: Transition.fadeIn,
      bindings: [
        RootBinding(),
      ],
      title: null),
    GetPage(
      preventDuplicates: true,
      name: Routes.settings.mainPath,
      page: () => const SettingsPage(),
      transition: Transition.fadeIn,
      bindings: [
        SettingsBinding(),
      ],
      title: null),
    GetPage(
        preventDuplicates: true,
        name: Routes.debug.mainPath,
        page: () => const DebugPage(),
        transition: Transition.fadeIn,
        bindings: [
          DebugBinding(),
        ],
        title: null,
        children: [
          GetPage(
            preventDuplicates: true,
            name: Routes.adsDebug.mainPath,
            page: () => const AdsDebugPage(),
            transition: Transition.fadeIn,
            bindings: [
              AdsDebugBinding(),
            ],
            title: null,
            children: [
              GetPage(
                  preventDuplicates: true,
                  name: Routes.testAds.mainPath,
                  page: () => const TestAdsPage(),
                  transition: Transition.fadeIn,
                  bindings: [
                    TestAdsBinding(),
                  ],
                  title: null)
            ]
          ),
          GetPage(
            preventDuplicates: true,
            name: Routes.adsDebug.mainPath,
            page: () => const DataDebugPage(),
            transition: Transition.fadeIn,
            bindings: [
              DataDebugBinding(),
            ],
            title: null
          ),
        ]
      ),
  ];
}
